Export Document Versions
Export a specific set of document versions to your Vault's FTP staging server. The files you export go to the u{userID} folder, regardless of your security profile.
POST
/api/{version}/objects/documents/versions/batch/actions/fileextractHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body ParametersPrepare a JSON input file with the following body parameters for each document version you wish to export:
| Name | Description |
|---|---|
id | ID of the document to export. |
major_version_number__v | The major version number of the document to export. |
minor_version_number__v | The minor version number of the document to export. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
source | To exclude source files, include a query parameter source=false. If omitted, defaults to true. |
renditions | To include renditions, include a query parameter renditions=true. If omitted, defaults to false. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
--data-binary @"C:\Vault\Documents\export_document_version.json" \
https://myvault.veevavault.com/api/v19.1/objects/documents/versions/batch/actions/fileextractResponse
Section link for Response{
"responseStatus": "SUCCESS",
"url": "/api/v19.1/services/jobs/40604",
"job_id": "40604"
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information: